

-- FailBot w/ Support for : LDB-1.1, Sink-2.0, and configuration via AceOptions

local ADDON_NAME = "FailBoat"

local addon = LibStub("AceAddon-3.0"):NewAddon(ADDON_NAME, "LibSink-2.0")

local L	= LibStub("AceLocale-3.0"):GetLocale(ADDON_NAME)

local defaults = {
	profile = {
		sinkoptions = { --[["sink20OutputSink"] = "Popup"]] },
	}
}

local options = {
    name = L["FailBoat"],
    desc = L["Shows humorous information about raid member failures."],
    type = "group",
    args = {
		output = addon:GetSinkAce3OptionsDataTable(),
    },
}

function addon:OnInitialize()
	self.db = LibStub("AceDB-3.0"):New("FailBoatDB", defaults, "Default")

	self:SetSinkStorage(self.db.profile.sinkoptions)
end


function addon:OnEnable()
end


function addon:OnDisable()
end

